# callback

Endpoint: POST /api/agent_schedules/{id}/callback
Version: 1.0.0
Security: ApiKeyAuth

## Security:

  - `ApiKeyAuth` (unknown)
    http TD1

## Path parameters:

  - `id` (string, required)

## Request fields (application/x-www-form-urlencoded):

  - `session_id` (string, required)

  - `attempt_id` (string, required)

  - `status` (string, required)
    Enum: "success", "failure", "unknown"

  - `executed_at` (string)

  - `error_message` (string)

## Response 200:

  - `200` (unknown)
    calls update_workflow_project! when expired on failure too

## Response 401:

  - `401` (unknown)
    Unauthorized - authentication credentials are missing or invalid

## Response 401 fields (application/json):

  - `status` (string, required)

  - `error` (string, required)

## Response 404:

  - `404` (unknown)
    Agent schedule not found

## Response 404 fields (application/json):

  - `status` (string, required)

  - `error` (string, required)

